"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var PopoverDirective = (function () {
    function PopoverDirective(el) {
        this.el = el;
    }
    PopoverDirective.prototype.onMouseEnter = function () {
        this.showTitle();
        // console.log(this.el.nativeElement.getBoundingClientRect());
    };
    PopoverDirective.prototype.onMouseLeave = function () {
        var _this = this;
        setTimeout(function () {
            _this.hideTitle();
        }, 200);
    };
    PopoverDirective.prototype.showTitle = function () {
        if (!this.titleBox) {
            var ele = document.createElement('div');
            ele.className = 'dc-popover-tip';
            ele.style.position = 'absolute';
            this.el.nativeElement.parentElement.style.position = 'relative';
            this.titleBox = ele;
            var htmlStr_1 = '<em>&nbsp;</em><dl>';
            this.options.map(function (item) {
                htmlStr_1 += '<dt>' + item['key'] + '：</dt>' + '<dd>' + item['value'] + '</dd>';
            });
            htmlStr_1 += '</dl>';
            this.titleBox.innerHTML = htmlStr_1;
            var top_1 = this.el.nativeElement.offsetTop;
            var height = this.el.nativeElement.clientHeight;
            var left = this.el.nativeElement.offsetLeft;
            this.el.nativeElement.parentElement.appendChild(this.titleBox);
            this.titleBox.style.left = left + 'px';
            this.titleBox.style.top = (top_1 + 10) + height + 'px';
        }
        this.titleBox.hidden = false;
    };
    PopoverDirective.prototype.hideTitle = function () {
        this.titleBox.hidden = true;
    };
    PopoverDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: '[dcPopover]',
                },] },
    ];
    /** @nocollapse */
    PopoverDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    PopoverDirective.propDecorators = {
        "dcPopover": [{ type: core_1.Input },],
        "options": [{ type: core_1.Input },],
        "onMouseEnter": [{ type: core_1.HostListener, args: ['mouseenter',] },],
        "onMouseLeave": [{ type: core_1.HostListener, args: ['mouseleave',] },],
    };
    return PopoverDirective;
}());
exports.PopoverDirective = PopoverDirective;
//# sourceMappingURL=popover.directive.js.map